/*
 * Copyright 2011 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.gradle.integtests.samples

import org.gradle.integtests.fixtures.AbstractIntegrationSpec
import org.gradle.integtests.fixtures.Sample
import org.gradle.integtests.fixtures.UsesSample
import org.junit.Rule

class SamplesMultiProjectBuildSrcIntegrationTest extends AbstractIntegrationSpec {

  @Rule public final Sample sample = new Sample(temporaryFolder)

  @UsesSample("multiproject/multiProjectBuildSrc")
  def "plugins from buildSrc subprojects are available"() {
    given:
    inDirectory sample.dir.file('groovy')

    when:
    run "showPlugins"

    then:
    output.contains "plugina.PluginA"
    output.contains "pluginb.PluginB"
  }

}
